# gdcm::AudioCodec Class Reference

AudioCodec. More...

`#include <gdcmAudioCodec.h>`

Inheritance diagram for gdcm::AudioCodec:
[legend]
Collaboration diagram for gdcm::AudioCodec:
[legend]

List of all members.

## Public Member Functions
| AudioCodec ()
| ~AudioCodec ()
bool | CanCode (TransferSyntax const &) const
| Return whether this coder support this transfer syntax (can code it).
bool | CanDecode (TransferSyntax const &) const
| Return whether this decoder support this transfer syntax (can decode it).
bool | Decode (DataElement const &is, DataElement &os)
| Decode.

## Detailed Description

AudioCodec.

## Constructor & Destructor Documentation

gdcm::AudioCodec::AudioCodec | ( |  | ) |

gdcm::AudioCodec::~AudioCodec | ( |  | ) |

## Member Function Documentation

bool gdcm::AudioCodec::CanCode | ( | TransferSyntax const & |  | ) | const`[inline, virtual]`

Return whether this coder support this transfer syntax (can code it).

Implements gdcm::Coder.

bool gdcm::AudioCodec::CanDecode | ( | TransferSyntax const & |  | ) | const`[inline, virtual]`

Return whether this decoder support this transfer syntax (can decode it).

Implements gdcm::Decoder.

bool gdcm::AudioCodec::Decode | ( | DataElement const & | is,
|  | DataElement & | os |
| ) |  |  | `[virtual]`

Decode.

Reimplemented from gdcm::Decoder.

The documentation for this class was generated from the following file:

- gdcmAudioCodec.h